#include "RangedExplosive.h"
#include "GameplayTagContainer.h"
#include "Components/SphereComponent.h"
#include "AkComponent.h"
#include "Components/StaticMeshComponent.h"

class ADBDPlayer;
class UBaseRangedExplosiveActorEffect;

void ARangedExplosive::Multicast_InitFromSpawningPlayer_Implementation(ADBDPlayer* spawner)
{

}

UBaseRangedExplosiveActorEffect* ARangedExplosive::GetRangedExplosiveActorEffect() const
{
	return NULL;
}

ADBDPlayer* ARangedExplosive::GetOwningPlayer() const
{
	return NULL;
}

float ARangedExplosive::GetModifierValue(FGameplayTag type) const
{
	return 0.0f;
}

float ARangedExplosive::GetExplosionRange() const
{
	return 0.0f;
}

float ARangedExplosive::GetExplosionEffectDuration() const
{
	return 0.0f;
}

ARangedExplosive::ARangedExplosive()
{
	this->_debugDisplayEnabled = false;
	this->_effectArea = CreateDefaultSubobject<USphereComponent>(TEXT("EffectArea"));
	this->_akComponent = CreateDefaultSubobject<UAkComponent>(TEXT("AkComponent"));
	this->_mesh = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("Mesh"));
	this->_isExploding = false;
}
